# Generated by Django 2.2 on 2021-04-30 12:36

import django.contrib.postgres.fields.jsonb
from django.db import migrations
from django.db.models import Q

def rut_str_to_list(apps, scheme_editor):
    
    TypifyModel = apps.get_model('tickets', 'TypifyModel')

    for typify in TypifyModel.objects.all():
        typify.rut_list = [typify.rut]
        typify.save()

def rut_list_to_str(apps, scheme_editor):

    TypifyModel = apps.get_model('tickets', 'TypifyModel')

    for typify in TypifyModel.objects.all():
        try:
            typify.rut = typify.rut_list[0]
            typify.save()
        except: 
            pass

class Migration(migrations.Migration):

    dependencies = [
        ('tickets', '0021_auto_20210430_0836'),
    ]

    operations = [
        migrations.RunPython(rut_str_to_list, rut_list_to_str),
    ]
